[package]
edition      = "2021"
name         = "acid-firmware"
rust-version = "1.86"
version      = "0.1.0"

[[bin]]
name = "acid-firmware"
path = "./src/bin/main.rs"

[dependencies]
# TODO: Remove the `git = ...` fields, which are here because IntelliSense is broken in 1.0.0-rc.0
esp-bootloader-esp-idf = { version = "0.2.0", git = "https://github.com/esp-rs/esp-hal", features = ["esp32s3"] }
esp-hal = { version = "=1.0.0-rc.0", git = "https://github.com/esp-rs/esp-hal", features = [
  "esp32s3",
  "log-04",
  "unstable",
  "psram",
] }
log = "0.4.27"

critical-section = "1.2.0"
embassy-executor = { version = "0.9.0", features = [
  "log",
  # "task-arena-size-20480",
] }
embassy-time = { version = "0.4.0", features = ["log"] }
esp-alloc = { version = "0.8.0", git = "https://github.com/esp-rs/esp-hal" }
esp-backtrace = { version = "0.17.0", git = "https://github.com/esp-rs/esp-hal", features = [
  "esp32s3",
  # "exception-handler",
  "panic-handler",
  "println",
] }
esp-hal-embassy = { version = "0.9.0", git = "https://github.com/esp-rs/esp-hal", features = ["esp32s3", "log-04"] }
esp-println = { version = "0.15.0", git = "https://github.com/esp-rs/esp-hal", features = ["esp32s3", "log-04"] }
static_cell = "2.1.1"
itertools = { version = "0.14.0", default-features = false }
bitflags = "2.9.4"
paste = "1.0.15"
lazy_static = { version = "1.5.0", features = ["spin_no_std"], default-features = false }


[profile.dev]
# Rust debug is too slow.
# For debug builds always builds with some optimization
opt-level = "s"

[profile.release]
codegen-units    = 1     # LLVM can perform better optimizations using a single thread
debug            = 2
debug-assertions = false
incremental      = false
lto              = 'fat'
opt-level        = 's'
overflow-checks  = false
